//
//  PopoverViewController.swift
//  MobilePortal
//
//  Created by xiejiangbo on 2019/3/22.
//  Copyright © 2019 yin chen. All rights reserved.
//

import UIKit

class PopoverViewController: BaseViewController {

    @IBOutlet weak var myTableView: UITableView!
    var delegate: PopoverViewControllerDelegate!
    var dataSource:NSMutableArray!
    var popoverType:PopoverType = .ScanCodeTraceability
    var popoverTypeArray = NSMutableArray()
    var popoverTypeblock:passParameterBlock!
    
    override func viewDidLoad() {
        super.viewDidLoad()
//        initTitleBar()
        addInitTableView()
        // Do any additional setup after loading the view.
    }
    class func createViewController(createArgs:AnyObject?) ->AnyObject{
        let storyboard:UIStoryboard=UIStoryboard(name: "PopoverViewController", bundle: nil)
        let vc:PopoverViewController=storyboard.instantiateViewController(withIdentifier: "PopoverViewController") as! PopoverViewController
        vc.createArgs=createArgs
        return vc
    }
    override func viewDidDisappear(_ animated: Bool) {
        super.viewDidDisappear(animated)
        
    }
    override func viewWillLayoutSubviews() {
//        self.myTableView.frame = self.view.bounds
    }


}
